# ClpCholeskyMumps Class Reference

Mumps class for Clp Cholesky factorization. More...

`#include <ClpCholeskyMumps.hpp>`

Inheritance diagram for ClpCholeskyMumps:
[legend]
Collaboration diagram for ClpCholeskyMumps:
[legend]

List of all members.

## Public Member Functions
Virtual methods that the derived classes provides
virtual int | order (ClpInterior *model)
| Orders rows and saves pointer to matrix.and model.
virtual int | symbolic ()
| Does Symbolic factorization given permutation.
virtual int | factorize (const double *diagonal, int *rowsDropped)
| Factorize - filling in rowsDropped and returning number dropped.
virtual void | solve (double *region)
| Uses factorization to solve.
Constructors, destructor
| ClpCholeskyMumps (int denseThreshold=-1)
| Constructor which has dense columns activated.
virtual | ~ClpCholeskyMumps ()
| Destructor.
virtual ClpCholeskyBase * | clone () const
| Clone.
## Private Member Functions
| ClpCholeskyMumps (const ClpCholeskyMumps &)
ClpCholeskyMumps & | operator= (const ClpCholeskyMumps &)
| Assignment.
## Private Attributes
DMUMPS_STRUC_C * | mumps_

## Detailed Description

Mumps class for Clp Cholesky factorization.

Definition at line 21 of file ClpCholeskyMumps.hpp.

## Constructor & Destructor Documentation

ClpCholeskyMumps::ClpCholeskyMumps | ( | int | denseThreshold = `-1` | ) |

Constructor which has dense columns activated.

Default is off.

virtual ClpCholeskyMumps::~ClpCholeskyMumps | ( |  | ) | `[virtual]`

Destructor.

ClpCholeskyMumps::ClpCholeskyMumps | ( | const ClpCholeskyMumps & |  | ) | `[private]`

## Member Function Documentation

virtual int ClpCholeskyMumps::order | ( | ClpInterior * | model | ) | `[virtual]`

Orders rows and saves pointer to matrix.and model.

Returns non-zero if not enough memory

Reimplemented from ClpCholeskyBase.

virtual int ClpCholeskyMumps::symbolic | ( |  | ) | `[virtual]`

Does Symbolic factorization given permutation.

This is called immediately after order. If user provides this then user must provide factorize and solve. Otherwise the default factorization is used returns non-zero if not enough memory

Reimplemented from ClpCholeskyBase.

virtual int ClpCholeskyMumps::factorize | ( | const double * | diagonal,
|  | int * | rowsDropped |
| ) |  |  | `[virtual]`

Factorize - filling in rowsDropped and returning number dropped.

If return code negative then out of memory

Reimplemented from ClpCholeskyBase.

virtual void ClpCholeskyMumps::solve | ( | double * | region | ) | `[virtual]`

Uses factorization to solve.

Reimplemented from ClpCholeskyBase.

virtual ClpCholeskyBase* ClpCholeskyMumps::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from ClpCholeskyBase.

ClpCholeskyMumps& ClpCholeskyMumps::operator= | ( | const ClpCholeskyMumps & |  | ) | `[private]`

Assignment.

Reimplemented from ClpCholeskyBase.

## Member Data Documentation

DMUMPS_STRUC_C* ClpCholeskyMumps::mumps_`[private]`

Definition at line 55 of file ClpCholeskyMumps.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Blis-0.93.2/Clp/src/ClpCholeskyMumps.hpp